searchNodes=[{"ref":"Vapor.html","title":"Vapor","type":"module","doc":"Vapor provides mechanisms for loading runtime configuration in your system."},{"ref":"Vapor.html#load/2","title":"Vapor.load/2","type":"function","doc":"Loads a configuration plan."},{"ref":"Vapor.html#load!/2","title":"Vapor.load!/2","type":"function","doc":"Loads a configuration plan or raises"},{"ref":"Vapor.FileFormatNotFoundError.html","title":"Vapor.FileFormatNotFoundError","type":"exception","doc":""},{"ref":"Vapor.FileNotFoundError.html","title":"Vapor.FileNotFoundError","type":"exception","doc":""},{"ref":"Vapor.LoadError.html","title":"Vapor.LoadError","type":"exception","doc":""},{"ref":"Vapor.Provider.html","title":"Vapor.Provider","type":"protocol","doc":""},{"ref":"Vapor.Provider.html#load/1","title":"Vapor.Provider.load/1","type":"function","doc":"The protocol required for loading a configuration. Providers need to implement this protocol and must return either an {:ok, %{}} or {:error, term()}."},{"ref":"Vapor.Provider.html#t:t/0","title":"Vapor.Provider.t/0","type":"type","doc":""},{"ref":"Vapor.Provider.Dotenv.html","title":"Vapor.Provider.Dotenv","type":"module","doc":"The dotenv config provider will look for a .env file and load all of the values for that file. The values can be written like so: DATABASE_URL=https://localhost:9432 PORT=4000 REDIS_HOST=1234 If the file can&#39;t be found then this provider will still return an ok but will (obviously) not load any configuration values. The primary use case for this provider is local development where it might be inconvenient to add all of the necessary environment variables on your local machine and it makes tradeoffs for that use case. Existing environment variables By default the dotenv provider won&#39;t overwrite any existing environment variables. You can change this by setting the overwrite key to true: %Dotenv{overwrite: true} File heirarchy If no file is specified then the dotenv provider will load these files in this order. Each proceeding file is loaded over the previous. In these examples ENV will be the current mix environment: dev, test, or prod. .env .env.ENV .env.local .env.ENV.local You should commit .env and .env.ENV files to your project and ignore any .local files. This allows users to provide a custom setup if they need to do that."},{"ref":"Vapor.Provider.Env.html","title":"Vapor.Provider.Env","type":"module","doc":"The Env config module provides support for pulling configuration values from the environment. Bindings must be specified at a keyword list. Example %Env{bindings: [foo: &quot;FOO&quot;, bar: &quot;VAR_BAR&quot;]}"},{"ref":"Vapor.Provider.Env.html#t:bindings/0","title":"Vapor.Provider.Env.bindings/0","type":"type","doc":""},{"ref":"Vapor.Provider.File.html","title":"Vapor.Provider.File","type":"module","doc":"Module for loading supported file format configs Supported file formats: .json, .toml, .yaml. Bindings to specific keys must be provided as a keyword list. The values for each key must be either a string or a path based on the Access protocol. Example %File{path: &quot;config.toml&quot;, bindings: [foo: &quot;foo&quot;, nested: [&quot;some&quot;, &quot;nested&quot;, &quot;value&quot;]]}"},{"ref":"Vapor.Provider.File.html#s/0","title":"Vapor.Provider.File.s/0","type":"function","doc":""}]